#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    
    int m; cin >> m;
    vector<int> x(m);
    vector<int> y(m);
    for(int i = 0; i < m; i++)
    {
        cin >> x[i];
        cin >> y[i];
    }

    for(int i = 0; i < m; i++)
    {
        int maks = 0;
        for(int j = 0; j < i+1; j++)
        {
            for(int k = 0; k < i+1; k++)
            {
                int zbir = 0;
                for(int l = 0; l < i+1; l++)
                {
                    zbir = zbir + (abs(x[k]-x[i])*abs(y[k]-y[j]));
                }
                if(zbir>maks)
                    maks = zbir;
            }
        }
        cout << maks << "\n";
    }
    return 0;

}